Diff
checker
文本
文本
圖像
文檔
Excel
文件夾
Legal
Enterprise
桌面版
定價
登入
下載 Diffchecker 桌面版
比較文本
尋找兩個文字檔案之間的差異
工具
歷史
即時編輯器
隱藏空白變更
摺疊未變更行
關閉換行
檢視
拆分
統一
比對精度
智能
單詞
字符
文字樣式
變更外觀
語法突出顯示
選擇語法
忽略
文字轉換
前往第一個差異
編輯輸入
Diffchecker Desktop
執行Diffchecker最安全的方式。取得Diffchecker桌面應用程式:您的差異永遠不會離開您的電腦!
取得桌面版
Untitled diff
建立於
11 年前
差異永不過期
清除
匯出
分享
解釋
5 刪除
行
總計
刪除
字符
總計
刪除
要繼續使用此功能,請升級到
Diff
checker
Pro
查看價格
78 行
全部複製
18 新增
行
總計
新增
字符
總計
新增
要繼續使用此功能,請升級到
Diff
checker
Pro
查看價格
85 行
全部複製
#!/bin/sh
#!/bin/sh
複製
已複製
複製
已複製
PATH=/sbin:/bin:/usr/sbin:/usr/bin
PATH=/sbin:/bin:/usr/sbin:/usr/bin
:/usr/local/sbin
# for a chrooted server: "-u bind -t /var/lib/named"
# for a chrooted server: "-u bind -t /var/lib/named"
# Don't modify this line, change or create /etc/default/bind9.
# Don't modify this line, change or create /etc/default/bind9.
OPTIONS=""
OPTIONS=""
PID_FILE=/var/run/bind/run/named.pid
PID_FILE=/var/run/bind/run/named.pid
BACKUP_PID=/var/run/named/named.pid
BACKUP_PID=/var/run/named/named.pid
case "$1" in
case "$1" in
start)
start)
echo -n "Starting domain name service: named"
echo -n "Starting domain name service: named"
modprobe capability >/dev/null 2>&1 || true
modprobe capability >/dev/null 2>&1 || true
# dirs under /var/run can go away on reboots.
# dirs under /var/run can go away on reboots.
mkdir -p /var/run/bind/run
mkdir -p /var/run/bind/run
chmod 775 /var/run/bind/run
chmod 775 /var/run/bind/run
chown root:bind /var/run/bind/run >/dev/null 2>&1 || true
chown root:bind /var/run/bind/run >/dev/null 2>&1 || true
複製
已複製
複製
已複製
if [ ! -x /usr/
sbin/named ]; then
if [ ! -x /usr/
local/
sbin/named ]; then
echo "named binary missing - not starting"
echo "named binary missing - not starting"
exit 1
exit 1
fi
fi
複製
已複製
複製
已複製
if start-stop-daemon --start --quiet --exec /usr/
sbin/named \
if start-stop-daemon --start --quiet --exec /usr/
local/
sbin/named \
--pidfile $PID_FILE -- $OPTIONS; then
--pidfile $PID_FILE -- $OPTIONS; then
if [ -x /sbin/resolvconf ] ; then
if [ -x /sbin/resolvconf ] ; then
echo "nameserver 127.0.0.1" | /sbin/resolvconf -a lo
echo "nameserver 127.0.0.1" | /sbin/resolvconf -a lo
fi
fi
fi
fi
echo "."
echo "."
;;
;;
stop)
stop)
echo -n "Stopping domain name service: named"
echo -n "Stopping domain name service: named"
#if [ -x /sbin/resolvconf ]; then
#if [ -x /sbin/resolvconf ]; then
# /sbin/resolvconf -d lo
# /sbin/resolvconf -d lo
#fi
#fi
複製
已複製
複製
已複製
#/usr/
sbin/rndc stop
#/usr/
local/
sbin/rndc stop
PF=$PID_FILE
PF=$PID_FILE
if [ ! -s "$PF" ]; then
if [ ! -s "$PF" ]; then
PF=$BACKUP_PID;
PF=$BACKUP_PID;
fi
fi
if [ ! -s "$PF" ]; then
if [ ! -s "$PF" ]; then
echo "Cannot find $PID_FILE or $BACKUP_PID. Unable to stop named";
echo "Cannot find $PID_FILE or $BACKUP_PID. Unable to stop named";
exit 10;
exit 10;
fi
fi
kill `cat $PF`
kill `cat $PF`
echo "."
echo "."
;;
;;
reload)
reload)
複製
已複製
複製
已複製
#/usr/
sbin/rndc reload
#/usr/
local/
sbin/rndc reload
PF=$PID_FILE
#kill -HUP `cat $PID_FILE`
if [ ! -s "$PF" ]; then
PF=$PID_FILE
PF=$BACKUP_PID;
if [ ! -s "$PF" ]; then
PF=$BACKUP_PID;
fi
fi
複製
已複製
複製
已複製
kill -HUP `cat $PF`
if [ ! -s "$PF" ]; then
echo "Cannot find $PID_FILE or $BACKUP_PID. Unable to stop named";
exit 10;
fi
kill -HUP `cat $PF`
echo "."
;;
;;
restart|force-reload)
restart|force-reload)
$0 stop
$0 stop
sleep 2
sleep 2
$0 start
$0 start
;;
;;
*)
*)
echo "Usage: /etc/init.d/bind {start|stop|reload|restart|force-reload}" >&2
echo "Usage: /etc/init.d/bind {start|stop|reload|restart|force-reload}" >&2
exit 1
exit 1
;;
;;
esac
esac
複製
已複製
複製
已複製
exit 0
exit 0
已保存差異
原始文本
開啟檔案
#!/bin/sh PATH=/sbin:/bin:/usr/sbin:/usr/bin # for a chrooted server: "-u bind -t /var/lib/named" # Don't modify this line, change or create /etc/default/bind9. OPTIONS="" PID_FILE=/var/run/bind/run/named.pid BACKUP_PID=/var/run/named/named.pid case "$1" in start) echo -n "Starting domain name service: named" modprobe capability >/dev/null 2>&1 || true # dirs under /var/run can go away on reboots. mkdir -p /var/run/bind/run chmod 775 /var/run/bind/run chown root:bind /var/run/bind/run >/dev/null 2>&1 || true if [ ! -x /usr/sbin/named ]; then echo "named binary missing - not starting" exit 1 fi if start-stop-daemon --start --quiet --exec /usr/sbin/named \ --pidfile $PID_FILE -- $OPTIONS; then if [ -x /sbin/resolvconf ] ; then echo "nameserver 127.0.0.1" | /sbin/resolvconf -a lo fi fi echo "." ;; stop) echo -n "Stopping domain name service: named" #if [ -x /sbin/resolvconf ]; then # /sbin/resolvconf -d lo #fi #/usr/sbin/rndc stop PF=$PID_FILE if [ ! -s "$PF" ]; then PF=$BACKUP_PID; fi if [ ! -s "$PF" ]; then echo "Cannot find $PID_FILE or $BACKUP_PID. Unable to stop named"; exit 10; fi kill `cat $PF` echo "." ;; reload) #/usr/sbin/rndc reload PF=$PID_FILE if [ ! -s "$PF" ]; then PF=$BACKUP_PID; fi kill -HUP `cat $PF` ;; restart|force-reload) $0 stop sleep 2 $0 start ;; *) echo "Usage: /etc/init.d/bind {start|stop|reload|restart|force-reload}" >&2 exit 1 ;; esac exit 0
更改後文本
開啟檔案
#!/bin/sh PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin # for a chrooted server: "-u bind -t /var/lib/named" # Don't modify this line, change or create /etc/default/bind9. OPTIONS="" PID_FILE=/var/run/bind/run/named.pid BACKUP_PID=/var/run/named/named.pid case "$1" in start) echo -n "Starting domain name service: named" modprobe capability >/dev/null 2>&1 || true # dirs under /var/run can go away on reboots. mkdir -p /var/run/bind/run chmod 775 /var/run/bind/run chown root:bind /var/run/bind/run >/dev/null 2>&1 || true if [ ! -x /usr/local/sbin/named ]; then echo "named binary missing - not starting" exit 1 fi if start-stop-daemon --start --quiet --exec /usr/local/sbin/named \ --pidfile $PID_FILE -- $OPTIONS; then if [ -x /sbin/resolvconf ] ; then echo "nameserver 127.0.0.1" | /sbin/resolvconf -a lo fi fi echo "." ;; stop) echo -n "Stopping domain name service: named" #if [ -x /sbin/resolvconf ]; then # /sbin/resolvconf -d lo #fi #/usr/local/sbin/rndc stop PF=$PID_FILE if [ ! -s "$PF" ]; then PF=$BACKUP_PID; fi if [ ! -s "$PF" ]; then echo "Cannot find $PID_FILE or $BACKUP_PID. Unable to stop named"; exit 10; fi kill `cat $PF` echo "." ;; reload) #/usr/local/sbin/rndc reload #kill -HUP `cat $PID_FILE` PF=$PID_FILE if [ ! -s "$PF" ]; then PF=$BACKUP_PID; fi if [ ! -s "$PF" ]; then echo "Cannot find $PID_FILE or $BACKUP_PID. Unable to stop named"; exit 10; fi kill -HUP `cat $PF` echo "." ;; restart|force-reload) $0 stop sleep 2 $0 start ;; *) echo "Usage: /etc/init.d/bind {start|stop|reload|restart|force-reload}" >&2 exit 1 ;; esac exit 0
尋找差異